Bug 2044451 (CVE-2021-45960) - CVE-2021-45960 expat: Large number of prefixed XML attributes on a single tag can crash libexpat
Summary: CVE-2021-45960 expat: Large number of prefixed XML attributes on a single tag...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2021-45960
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 2053208 2044452 2052232 2052234 2052235 2052236 2052237 2052238 2052239 2058549 2058550 2058551 2058552 2058553 2058554 2060192 2060197 2060199 2060203 2060208 2060210
Blocks: 2044492
TreeView+ depends on / blocked
 
Reported: 2022-01-24 16:25 UTC by Pedro Sampaio
Modified: 2022-05-17 10:10 UTC (History)
35 users (show)

Fixed In Version: expat 2.4.3
Doc Type: If docs needed, set a value
Doc Text:
expat (libexpat) is susceptible to a software flaw that causes process interruption. When processing a large number of prefixed XML attributes on a single tag can libexpat can terminate unexpectedly due to buffer overrun. The highest threat from this vulnerability is to availability.
Clone Of:
Environment:
Last Closed: 2022-05-05 01:15:24 UTC


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2022:0953 0 None None None 2022-03-16 21:53:08 UTC
Red Hat Product Errata RHBA-2022:0957 0 None None None 2022-03-17 15:57:54 UTC
Red Hat Product Errata RHBA-2022:0959 0 None None None 2022-03-17 17:17:33 UTC
Red Hat Product Errata RHBA-2022:0960 0 None None None 2022-03-17 17:33:53 UTC
Red Hat Product Errata RHBA-2022:0964 0 None None None 2022-03-17 21:26:38 UTC
Red Hat Product Errata RHBA-2022:0965 0 None None None 2022-03-17 21:56:27 UTC
Red Hat Product Errata RHBA-2022:0976 0 None None None 2022-03-21 11:34:57 UTC
Red Hat Product Errata RHBA-2022:0977 0 None None None 2022-03-21 11:36:04 UTC
Red Hat Product Errata RHBA-2022:0978 0 None None None 2022-03-21 11:36:31 UTC
Red Hat Product Errata RHBA-2022:0979 0 None None None 2022-03-21 14:36:45 UTC
Red Hat Product Errata RHBA-2022:0980 0 None None None 2022-03-21 14:44:27 UTC
Red Hat Product Errata RHBA-2022:0981 0 None None None 2022-03-21 14:41:58 UTC
Red Hat Product Errata RHBA-2022:1005 0 None None None 2022-03-22 08:41:21 UTC
Red Hat Product Errata RHBA-2022:1014 0 None None None 2022-03-22 17:10:36 UTC
Red Hat Product Errata RHBA-2022:1031 0 None None None 2022-03-23 11:12:45 UTC
Red Hat Product Errata RHBA-2022:1046 0 None Closed Cluster unresponsive after adding a osd host in 2022-05-05 19:00:43 UTC
Red Hat Product Errata RHBA-2022:1048 0 None None None 2022-03-24 10:42:43 UTC
Red Hat Product Errata RHBA-2022:1057 0 None None None 2022-03-24 16:13:07 UTC
Red Hat Product Errata RHBA-2022:1058 0 None None None 2022-03-24 15:32:10 UTC
Red Hat Product Errata RHBA-2022:1079 0 None None None 2022-03-28 11:31:54 UTC
Red Hat Product Errata RHBA-2022:1085 0 None None None 2022-03-28 18:10:28 UTC
Red Hat Product Errata RHBA-2022:1089 0 None None None 2022-03-29 01:11:31 UTC
Red Hat Product Errata RHBA-2022:1099 0 None None None 2022-03-29 07:41:59 UTC
Red Hat Product Errata RHBA-2022:1100 0 None None None 2022-03-29 07:39:44 UTC
Red Hat Product Errata RHBA-2022:1101 0 None Closed /proc/$pid/cmdline returns wrong value when argv[] is set to a shorter string 2022-05-16 10:16:18 UTC
Red Hat Product Errata RHBA-2022:1117 0 None None None 2022-03-29 15:05:09 UTC
Red Hat Product Errata RHBA-2022:1118 0 None None None 2022-03-29 15:07:11 UTC
Red Hat Product Errata RHBA-2022:1119 0 None None None 2022-03-29 15:08:18 UTC
Red Hat Product Errata RHBA-2022:1120 0 None None None 2022-03-29 15:11:39 UTC
Red Hat Product Errata RHBA-2022:1121 0 None None None 2022-03-29 15:10:07 UTC
Red Hat Product Errata RHBA-2022:1122 0 None None None 2022-03-29 15:17:35 UTC
Red Hat Product Errata RHBA-2022:1125 0 None None None 2022-03-29 15:36:32 UTC
Red Hat Product Errata RHBA-2022:1126 0 None None None 2022-03-29 19:10:38 UTC
Red Hat Product Errata RHBA-2022:1127 0 None None None 2022-03-29 19:11:32 UTC
Red Hat Product Errata RHBA-2022:1130 0 None None None 2022-03-29 17:45:12 UTC
Red Hat Product Errata RHBA-2022:1131 0 None None None 2022-03-29 18:13:17 UTC
Red Hat Product Errata RHBA-2022:1140 0 None None None 2022-03-30 13:35:33 UTC
Red Hat Product Errata RHBA-2022:1150 0 None None None 2022-03-31 18:41:10 UTC
Red Hat Product Errata RHBA-2022:1172 0 None None None 2022-04-04 08:24:06 UTC
Red Hat Product Errata RHBA-2022:1176 0 None None None 2022-04-04 10:45:04 UTC
Red Hat Product Errata RHBA-2022:1191 0 None None None 2022-04-05 13:28:27 UTC
Red Hat Product Errata RHBA-2022:1258 0 None None None 2022-04-06 17:09:53 UTC
Red Hat Product Errata RHBA-2022:1289 0 None None None 2022-04-11 05:59:40 UTC
Red Hat Product Errata RHBA-2022:1308 0 None None None 2022-04-11 14:50:40 UTC
Red Hat Product Errata RHBA-2022:1319 0 None None None 2022-04-12 11:31:00 UTC
Red Hat Product Errata RHBA-2022:1380 0 None None None 2022-04-18 10:56:46 UTC
Red Hat Product Errata RHBA-2022:1385 0 None None None 2022-04-18 13:53:46 UTC
Red Hat Product Errata RHBA-2022:1392 0 None None None 2022-04-19 08:56:23 UTC
Red Hat Product Errata RHBA-2022:1434 0 None None None 2022-04-20 06:52:54 UTC
Red Hat Product Errata RHBA-2022:1495 0 None None None 2022-04-21 14:02:25 UTC
Red Hat Product Errata RHBA-2022:1507 0 None None None 2022-04-21 16:14:32 UTC
Red Hat Product Errata RHBA-2022:1608 0 None None None 2022-04-27 07:56:25 UTC
Red Hat Product Errata RHBA-2022:1609 0 None None None 2022-04-27 07:16:03 UTC
Red Hat Product Errata RHBA-2022:1610 0 None None None 2022-04-27 07:17:40 UTC
Red Hat Product Errata RHBA-2022:1611 0 None None None 2022-04-27 07:18:51 UTC
Red Hat Product Errata RHBA-2022:1612 0 None None None 2022-04-27 07:20:29 UTC
Red Hat Product Errata RHBA-2022:1613 0 None None None 2022-04-27 07:21:18 UTC
Red Hat Product Errata RHBA-2022:1614 0 None None None 2022-04-27 07:23:05 UTC
Red Hat Product Errata RHBA-2022:1615 0 None None None 2022-04-27 07:23:40 UTC
Red Hat Product Errata RHBA-2022:1616 0 None None None 2022-04-27 07:27:06 UTC
Red Hat Product Errata RHSA-2022:0951 0 None None None 2022-03-16 16:16:31 UTC
Red Hat Product Errata RHSA-2022:1069 0 None None None 2022-03-28 11:49:16 UTC

Description Pedro Sampaio 2022-01-24 16:25:40 UTC
In Expat (aka libexpat) before 2.4.3, a left shift by 29 (or more) places in the storeAtts function in xmlparse.c can lead to realloc misbehavior (e.g., allocating too few bytes, or only freeing memory). 

References:

https://github.com/libexpat/libexpat/issues/531
https://github.com/libexpat/libexpat/pull/534
https://bugzilla.mozilla.org/show_bug.cgi?id=1217609
http://www.openwall.com/lists/oss-security/2022/01/17/3

Comment 1 Pedro Sampaio 2022-01-24 16:26:02 UTC
Created expat tracking bugs for this issue:

Affects: fedora-all [bug 2044452]

Comment 12 errata-xmlrpc 2022-03-16 16:16:27 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2022:0951 https://access.redhat.com/errata/RHSA-2022:0951

Comment 13 errata-xmlrpc 2022-03-28 11:49:13 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2022:1069 https://access.redhat.com/errata/RHSA-2022:1069

Comment 14 Product Security DevOps Team 2022-05-05 01:15:20 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2021-45960


Note You need to log in before you can comment on or make changes to this bug.